#!/usr/bin/env python
# -*- coding: latin-1; -*-
#
# Copyright (c) 2004-2005
#      Henri Michelon
# 
# $Id: setup.py,v 1.12 2006/01/10 13:19:55 hmichelon Exp $
#
from distutils.core import setup, Extension

__version__ = "1.8"

setup (name = 'pgworksheet',
       version = __version__,
       description = 'PgWorksheet - SQL Tool for PostgreSQL',
       url = 'http://pgworksheet.projects.postgresql.org/',
       license = 'GPL',
       author = 'E-CML http://www.e-cml.org/',
       scripts = [ 'pgworksheet' ],
       packages = [ 'pgw' ],
       data_files = [ 
	('share/pixmaps',
	    [ 'pixmaps/pgworksheet.png' ]),
       	('share/pixmaps/pgworksheet', 
            [ 'pixmaps/pgworksheet/connect.png',
	      'pixmaps/pgworksheet/disconnect.png',
	      'pixmaps/pgworksheet/about.png',
	      'pixmaps/pgworksheet/pgworksheet-32.png',
	      'pixmaps/pgworksheet/pgworksheet.png' ]),
        ('share/locale/fr/LC_MESSAGES',
            [ 'locale/fr/LC_MESSAGES/pgworksheet.mo' ]),
        ('share/locale/ja/LC_MESSAGES',
            [ 'locale/ja/LC_MESSAGES/pgworksheet.mo' ]),
        ('share/applications',
            [ 'applications/pgworksheet.desktop' ]),
        ]
       )
